Bug 1784295 - "Required lock is already taken by other running tasks." error in production.log while assigning HTTP Proxy to Products.
Summary: "Required lock is already taken by other running tasks." error in production....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: James Jeffers
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks: 1774324
TreeView+ depends on / blocked
 
Reported: 2019-12-17 07:48 UTC by Jameer Pathan
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28709 Normal Closed Required lock is already taken by other running tasks." error in production.log while assigning HTTP Proxy to Products 2020-01-20 14:40:25 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:19 UTC

Description Jameer Pathan 2019-12-17 07:48:52 UTC
Description of problem:
"Required lock is already taken by other running tasks." error in production.log while assigning HTTP Proxy to Products.

Version-Release number of selected component (if applicable):
- Satellite 6.7.0 snap 6

How reproducible:
- Most of the time

Steps to Reproduce:
1. Create http proxy
2. Create Product with repository.
3. Go to Content > Products 
4. Select product and click on "Select Action" drop down box.
5. Click on "Manage Http Capsule", choose any option and click on Update.
6. Check /var/log/foreman/production.log

Actual results:
- Traceback in production.log related to "Required lock is already taken by other running tasks.".

Expected results:
- No traceback should be present in production.log while assigning Http Proxy to products.

Additional info:
- HTTP proxy gets successfully assigned to Product.

Comment 4 Partha Aji 2020-01-09 19:18:30 UTC
Connecting redmine issue https://projects.theforeman.org/issues/28709 from this bug

Comment 6 Jameer Pathan 2020-01-21 09:28:24 UTC
Verified

Verified with:
- Satellite 6.7.0 snap 9

Test steps:
1. Create http proxy
2. Create Product with repository.
3. Go to Content > Products 
4. Select product and click on "Select Action" drop down box.
5. Click on "Manage Http Capsule", choose any option and click on Update.
6. Check /var/log/foreman/production.log

Observation:
- Http proxy is assigned to products.
- No traceback present in production.log while assigning Http Proxy to products.

Comment 9 errata-xmlrpc 2020-04-14 13:28:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.